package pl.umk.fizyka.wzorceStrukturalne.kompozyt;

import java.util.ArrayList;

public class KompozytPracownika implements InterfacePracownika {

    private ArrayList<InterfacePracownika> pracownicy;

    public KompozytPracownika() {
        pracownicy = new ArrayList<InterfacePracownika>();
    }

    public void dodaj(InterfacePracownika pracownik){
        pracownicy.add(pracownik);
    }

    @Override
    public void przedstaw() {

        for(InterfacePracownika pracownik : pracownicy){
            pracownik.przedstaw();
        }

    }
}
