package pl.umk.fizyka.wzorceStrukturalne.pelnomocnik;

public class PelnomocnikSamochodu implements InterfejsSamochodu {

    private InterfejsSamochodu samochodu;
    private Osoba osoba;

    public PelnomocnikSamochodu(Osoba osoba) {
        this.osoba = osoba;
        this.samochodu = new Samochod();
    }

    @Override
    public void prowadz() {

        if(!osoba.czyJestPrawko()){
            System.out.println("Przykro mi nie mozesz prowadzic samochodu!");
        }
        else
            samochodu.prowadz();
    }
}
